com.sun.jna.platform.win32

## Class WinCryptUtil.MANAGED_CRYPT_SIGN_MESSAGE_PARA

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CRYPT_SIGN_MESSAGE_PARA
    - - com.sun.jna.platform.win32.WinCryptUtil.MANAGED_CRYPT_SIGN_MESSAGE_PARA

Enclosing class:
  WinCryptUtil

    public static class WinCryptUtil.MANAGED_CRYPT_SIGN_MESSAGE_PARA
    extends WinCrypt.CRYPT_SIGN_MESSAGE_PARA

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.WinCrypt.CRYPT_SIGN_MESSAGE_PARA

`WinCrypt.CRYPT_SIGN_MESSAGE_PARA.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

### Fields inherited from class com.sun.jna.platform.win32.WinCrypt.CRYPT_SIGN_MESSAGE_PARA

`cAuthAttr, cbSize, cMsgCert, cMsgCrl, cUnauthAttr, dwFlags, dwInnerContentType, dwMsgEncodingType, HashAlgorithm, HashEncryptionAlgorithm, pSigningCert, pvHashAuxInfo, pvHashEncryptionAuxInfo, rgAuthAttr, rgpMsgCert, rgpMsgCrl, rgUnauthAttr`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`MANAGED_CRYPT_SIGN_MESSAGE_PARA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WinCrypt.CRYPT_ATTRIBUTE[]` `getRgAuthAttr()`
`WinCrypt.CERT_CONTEXT[]` `getRgpMsgCert()`
`WinCrypt.CRL_CONTEXT[]` `getRgpMsgCrl()`
`WinCrypt.CRYPT_ATTRIBUTE[]` `getRgUnauthAttr()`
`void` `read()` Reads the fields of the struct from native memory
`void` `setRgAuthAttr(WinCrypt.CRYPT_ATTRIBUTE[] rgAuthAttrs)`
`void` `setRgpMsgCert(WinCrypt.CERT_CONTEXT[] rgpMsgCerts)`
`void` `setRgpMsgCrl(WinCrypt.CRL_CONTEXT[] rgpMsgCrls)`
`void` `setRgUnauthAttr(WinCrypt.CRYPT_ATTRIBUTE[] rgUnauthAttrs)`
`void` `write()` Writes the fields of the struct to native memory

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MANAGED_CRYPT_SIGN_MESSAGE_PARA

    public MANAGED_CRYPT_SIGN_MESSAGE_PARA()

### Method Detail

#### setRgpMsgCert

    public void setRgpMsgCert(WinCrypt.CERT_CONTEXT[] rgpMsgCerts)

#### getRgpMsgCert

    public WinCrypt.CERT_CONTEXT[] getRgpMsgCert()

Overrides:
  `getRgpMsgCert` in class `WinCrypt.CRYPT_SIGN_MESSAGE_PARA`

#### setRgpMsgCrl

    public void setRgpMsgCrl(WinCrypt.CRL_CONTEXT[] rgpMsgCrls)

#### getRgpMsgCrl

    public WinCrypt.CRL_CONTEXT[] getRgpMsgCrl()

Overrides:
  `getRgpMsgCrl` in class `WinCrypt.CRYPT_SIGN_MESSAGE_PARA`

#### setRgAuthAttr

    public void setRgAuthAttr(WinCrypt.CRYPT_ATTRIBUTE[] rgAuthAttrs)

Parameters:
  `rgAuthAttrs` - array of CRYPT_ATTRIBUTE - it must be created from a continous memory region (manually allocated memory or CRYPT_ATTRIBUTE#toArray)

#### getRgAuthAttr

    public WinCrypt.CRYPT_ATTRIBUTE[] getRgAuthAttr()

Overrides:
  `getRgAuthAttr` in class `WinCrypt.CRYPT_SIGN_MESSAGE_PARA`

#### setRgUnauthAttr

    public void setRgUnauthAttr(WinCrypt.CRYPT_ATTRIBUTE[] rgUnauthAttrs)

Parameters:
  `rgUnauthAttrs` - array of CRYPT_ATTRIBUTE - it must be created from a continous memory region (manually allocated memory or CRYPT_ATTRIBUTE#toArray)

#### getRgUnauthAttr

    public WinCrypt.CRYPT_ATTRIBUTE[] getRgUnauthAttr()

Overrides:
  `getRgUnauthAttr` in class `WinCrypt.CRYPT_SIGN_MESSAGE_PARA`

#### write

    public void write()

Description copied from class: `Structure`
Writes the fields of the struct to native memory

Overrides:
  `write` in class `Structure`

#### read

    public void read()

Description copied from class: `Structure`
Reads the fields of the struct from native memory

Overrides:
  `read` in class `Structure`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.